Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.fixedinput
Class FixedInputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.fixedinput.FixedInputData

All Implemented Interfaces:
  StepDataInterface

    public class FixedInputData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`ByteBuffer` | `bb`
`int` | `bufferSize`
`byte[]` | `byteBuffer`
`org.pentaho.di.core.row.RowMetaInterface` | `convertRowMeta`
`byte[]` | `delimiter`
`byte[]` | `enclosure`
`int` | `endBuffer`
`FileChannel` | `fc`
`String` | `filename`
`long` | `fileSize`
`int` | `lineWidth`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`int` | `preferredBufferSize`
`long` | `rowsToRead`
`int` | `startBuffer`
`int` | `stepNumber`
`boolean` | `stopReading`
`int` | `totalNumberOfSteps`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`FixedInputData()`

Method Summary
`void` | `readBufferFromFile()`
`void` | `resizeByteBuffer()`

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### fc

    public FileChannel fc

### bb

    public ByteBuffer bb

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### convertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface convertRowMeta

### byteBuffer

    public byte[] byteBuffer

### startBuffer

    public int startBuffer

### endBuffer

    public int endBuffer

### bufferSize

    public int bufferSize

### delimiter

    public byte[] delimiter

### enclosure

    public byte[] enclosure

### preferredBufferSize

    public int preferredBufferSize

### filename

    public String filename

### lineWidth

    public int lineWidth

### stopReading

    public boolean stopReading

### stepNumber

    public int stepNumber

### totalNumberOfSteps

    public int totalNumberOfSteps

### fileSize

    public long fileSize

### rowsToRead

    public long rowsToRead

Constructor Detail

### FixedInputData

    public FixedInputData()

Method Detail

### resizeByteBuffer

    public void resizeByteBuffer()

### readBufferFromFile

    public void readBufferFromFile()
                            throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD